## ros-noetic-rqt-topic 0.4.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_topic)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_topic
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-topic (0.4.13-1buster) buster; urgency=high

  * fix python3 install (#36 <https://github.com/ros-visualization/rqt_topic/issues/36>)
  * Update Open Robotics Maintainer (#27 <https://github.com/ros-visualization/rqt_topic/issues/27>)
  * fix shebang line for python3 (#18 <https://github.com/ros-visualization/rqt_topic/issues/18>)
  * Contributors: Mabel Zhang, Mikael Arguedas, Scott K Logan

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 18 Nov 2021 05:00:00 -0000

ros-noetic-rqt-topic (0.4.12-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Mar 2020 04:00:00 -0000

ros-noetic-rqt-topic (0.4.11-1buster) buster; urgency=high

  * fix TypeError in Python 3 (#7 <https://github.com/ros-visualization/rqt_topic/issues/7>)
  * add Python 3 conditional dependencies (#13 <https://github.com/ros-visualization/rqt_topic/issues/13>)
  * fix dictionary changed size during iteration (#10 <https://github.com/ros-visualization/rqt_topic/issues/10>)
  * autopep8 (#6 <https://github.com/ros-visualization/rqt_topic/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Jan 2020 05:00:00 -0000

ros-noetic-rqt-topic (0.4.10-1buster) buster; urgency=high

  * fix order by bandwidth column (#4 <https://github.com/ros-visualization/rqt_topic/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.9-1buster) buster; urgency=high

  * fix section resize toggle with Qt5 (#2 <https://github.com/ros-visualization/rqt_topic/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 04:00:00 -0000

ros-noetic-rqt-topic (0.4.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.6-1buster) buster; urgency=high

  * remove usage of undocumented cStringIO.StringIO len attribute (#434 <https://github.com/ros-visualization/rqt_common_plugins/pull/434>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.4-1buster) buster; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * catch unhandled exceptions when rosmaster disappears while widget is running (#419 <https://github.com/ros-visualization/rqt_common_plugins/pull/419>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 05:00:00 -0000

ros-noetic-rqt-topic (0.4.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 04:00:00 -0000

ros-noetic-rqt-topic (0.4.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 04:00:00 -0000

ros-noetic-rqt-topic (0.4.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 04:00:00 -0000

ros-noetic-rqt-topic (0.4.0-1buster) buster; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 04:00:00 -0000

ros-noetic-rqt-topic (0.3.13-1buster) buster; urgency=high

  * check for divide by zero and data failures
  * Contributors: Aaron Blasdel

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 05:00:00 -0000

ros-noetic-rqt-topic (0.3.12-1buster) buster; urgency=high

  * Save/Restore of headers added
  * Contributors: Aaron Blasdel

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 04:00:00 -0000

ros-noetic-rqt-topic (0.3.11-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 04:00:00 -0000

ros-noetic-rqt-topic (0.3.10-1buster) buster; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.9-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.7-1buster) buster; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 04:00:00 -0000

ros-noetic-rqt-topic (0.3.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 05:00:00 -0000

ros-noetic-rqt-topic (0.3.3-1buster) buster; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * catch and show exceptions #198 <https://github.com/ros-visualization/rqt_common_plugins/issues/198>

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 05:00:00 -0000

ros-noetic-rqt-topic (0.3.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 04:00:00 -0000

ros-noetic-rqt-topic (0.3.1-1buster) buster; urgency=high

  * improve rqt_topic initialization time (#62 <https://github.com/ros-visualization/rqt_common_plugins/issues/62>)


=== debian/control ===
Source: ros-noetic-rqt-topic
Section: misc
Priority: optional
Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_topic
Standards-Version: 3.9.2

Package: ros-noetic-rqt-topic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-rostopic, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-std-msgs
Description: rqt_topic provides a GUI plugin for displaying debug information about ROS topics including publishers, subscribers, publishing rate, and ROS Messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-topic//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
